Bug 35628 - Traceback because of missing entryUUID
Traceback because of missing entryUUID
Status: CLOSED FIXED
Product: UCS@school
Classification: Unclassified
Component: Samba 4
UCS@school 3.2 R2
Other Linux
: P5 normal (vote)
: UCS@school 3.2 R2 Errata
Assigned To: Stefan Gohmann
Sönke Schwardt-Krummrich
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-08-18 11:27 CEST by Sönke Schwardt-Krummrich
Modified: 2014-08-27 17:01 CEST (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sönke Schwardt-Krummrich univentionstaff 2014-08-18 11:27:39 CEST
A customer with a UCS@school environment tried to rejoin a UCS@school slave (UCS 3.2-3). After rejoin the S4 connector showed several tracebacks like this one:

18.08.2014 11:24:25,206 LDAP        (PROCESS): sync from ucs:   Resync rejected file: /var/lib/univention-connector/s4/1408106245.613333
18.08.2014 11:24:25,210 LDAP        (WARNING): sync failed, saved as rejected 
        /var/lib/univention-connector/s4/1408106245.613333
18.08.2014 11:24:25,210 LDAP        (WARNING): Traceback (most recent call last):
  File "/usr/lib/pymodules/python2.6/univention/s4connector/__init__.py", line 904, in resync_rejected_ucs
    if self.__sync_file_from_ucs(filename, append_error=' rejected'):
  File "/usr/lib/pymodules/python2.6/univention/s4connector/__init__.py", line 711, in __sync_file_from_ucs
    entryUUID = new.get('entryUUID')[0]
TypeError: 'NoneType' object is unsubscriptable
Comment 1 Sönke Schwardt-Krummrich univentionstaff 2014-08-18 11:33:11 CEST
One of the pickle files contained a DNS service record. For investigation the pickle file is attached to Ticket 2014081821000262.
Comment 2 Stefan Gohmann univentionstaff 2014-08-19 16:33:34 CEST
The ucsschool-s4-branch-site.py listener module does not search for the + attributes.
Comment 3 Stefan Gohmann univentionstaff 2014-08-19 16:41:53 CEST
Fixed with r52837

+  * ucsschool-s4-branch-site.py: also search for the + attributes, for
+    example entryUUID. This is needed by the S4 connector since
+    UCS 3.2-2 errata 153 (Bug #35628)

Changelog: r52838
Comment 4 Janis Meybohm univentionstaff 2014-08-20 13:17:04 CEST
Does the fix auto-cleanup broken pickle files?
Comment 5 Stefan Gohmann univentionstaff 2014-08-20 13:25:56 CEST
(In reply to Janis Meybohm from comment #4)
> Does the fix auto-cleanup broken pickle files?

No, it doesn't. You have to use 
 /usr/share/univention-s4-connector/remove_ucs_rejected.py
Comment 6 Arvid Requate univentionstaff 2014-08-20 19:30:35 CEST
Ok fixed in version 1.0.3-1.11.201408191644 of ucs-school-s4-branch-site.
I guess there are no errata advisories for ucs-school-3.2r2?
Comment 7 Sönke Schwardt-Krummrich univentionstaff 2014-08-21 16:52:54 CEST
(In reply to Stefan Gohmann from comment #5)
> (In reply to Janis Meybohm from comment #4)
> > Does the fix auto-cleanup broken pickle files?
> 
> No, it doesn't. You have to use 
>  /usr/share/univention-s4-connector/remove_ucs_rejected.py

By removing the pickle objects the relevant updates are still missing in S4.
How do I fix this? (maybe relevant for changelog)
Comment 8 Stefan Gohmann univentionstaff 2014-08-21 17:02:18 CEST
(In reply to Sönke Schwardt-Krummrich from comment #7)
> (In reply to Stefan Gohmann from comment #5)
> > (In reply to Janis Meybohm from comment #4)
> > > Does the fix auto-cleanup broken pickle files?
> > 
> > No, it doesn't. You have to use 
> >  /usr/share/univention-s4-connector/remove_ucs_rejected.py
> 
> By removing the pickle objects the relevant updates are still missing in S4.
> How do I fix this? (maybe relevant for changelog)

Re-join the system or use /usr/share/univention-s4-connector/resync_object_from_ucs.py.
Comment 9 Arvid Requate univentionstaff 2014-08-21 19:16:17 CEST
This should do the trick:

univention-directory-listener-ctrl resync ucsschool-s4-branch-site

(untested)
Comment 10 Arvid Requate univentionstaff 2014-08-21 19:33:08 CEST
Ok works, I added a comment to the changelog explaining how to remove the rejects and resync the module. Maybe you want to check the changelog?
Comment 11 Sönke Schwardt-Krummrich univentionstaff 2014-08-22 11:54:35 CEST
Changelog verified
Comment 12 Sönke Schwardt-Krummrich univentionstaff 2014-08-27 17:01:45 CEST
UCS@school 3.2 R2 v2 has been released:
http://docs.univention.de/release-notes-ucsschool-3.2R2v2-de.html

If this error occurs again, please use "Clone This Bug".